/** COMMON CLASSES **/

body{
  position: relative;
}

a{
  color: #001446;
}
a:hover{
  color: #ff671f;
}

#simpledevel_theme_content {
  display: grid;
  height: 100vh;
  position: relative;
  align-items: flex-start;
  grid-template-areas:
    "header"
    "main"
    "aside"
    "footer";
}

header {
  grid-area: header;
}

main {
  grid-area: main;
}

aside {
  grid-area: aside;
}

footer {
  grid-area: footer;
}

.smipled_align_center{
  text-align: center;
}

/** LIVE BOX **/
.simpledevel_theme_live_box{
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(189, 200, 242,0.7);
  z-index: 100;
  display: block;
  text-align: center;
}
.simpledevel_theme_live_box_content{
  box-shadow: 2px 2px 6px 1px rgba(202, 202, 204,0.8);
  border: 1px solid rgba(179, 178, 175,0.3);
  border-radius: 20px;
  background: white;
  padding: 30px;
  position: relative;
  display: block;
  transform: translateX( -50% );
  margin-right: 40px;
  left: 50%;
  max-width: 1150px;
}
.simpledevel_theme_live_box_content .dashicons-no-alt{
  position: absolute;;
  right: 15px;
  top: 5px;
  color: red;
  font-size: 30px;
  cursor: pointer;
}
.simpledevel_theme_dymanic_live_box_content{
  display: none;
}

/** GOOGLE MAPS **/
.simpledevel_theme_google_maps_iframe{
  width: 100%;
}

/** HIDDEN IMAGE LOADER **/
.simpledevel_theme_hidden_image_loader_wrap{
  display: none;
}

/** MENU ARROWS **/
.simpledevel_theme_arrow_up::after {
  content: "";
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 5px solid black;
  cursor: pointer;
}

.simpledevel_theme_arrow_down::after {
  content: "";
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid black;
  top: -3px;
  position: relative;
  cursor: pointer;
  display: inline-block;
}

.simpledevel_theme_arrow_right::after {
  content: "";
  width: 0;
  height: 0;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 5px solid black;
  top: 2px;
  margin-left: 5px;
  position: relative;
  cursor: pointer;
  display: inline-block;
}

.simpledevel_theme_arrow_left::after {
  content: "";
  width: 0;
  height: 0;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  cursor: pointer;
  border-right: 5px solid black;
}


/** CAPTION HOVER IMAGE **/
.simpledevel_theme_caption_hover_image{
  position: absolute;
  width: 100%;
  top: 10px;
  display: none;
}

/** BOX INFO **/
.simpledevel_theme_box_info{
  box-shadow: 2px 2px 6px 1px rgba(202, 202, 204,0.8);
  padding: 20px;
}

ul.simpled_theme_menu_style{
  margin: 0;
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
  padding-inline-start: 0
}

ul.simpled_theme_menu_style li ul{
  padding: 0;
}

ul.simpled_theme_menu_style li ul li ul{
  padding: 0;
}

/** LOADING SITE **/
.simpledevel_theme_loading_site{
  background: white;
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 999;
  text-align: center;
}

.simpledevel_theme_loading_site .simpledevel_theme_loading_site_content{
  width: 100%;
  position: relative;
  top: 50%;
  transform: translateY( -50% );
}

.simpledevel_theme_mobile_menu_languages_wrap ul{
  list-style: none;
  padding: 0;
}

/* Flex features */

.simpledevel_theme_flex_spacer{
  padding: 15px 10px;
}

/* Flags menu languages */

.simpledevel_flag_menu_language_a{
  margin-left: 10px;
}

li .simpledevel_flag_menu_language_a:first-of-type{
  margin-left: 0;
}

/* BLOG PAGE */

.simpledevel_theme_main_blog_page_wrap{
  text-align: center;
}

.simpledevel_theme_main_blog_page{
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;
  max-width: 1150px;
}

.simpledevel_theme_main_blog_page > *{
  margin-left: 30px;
  width: calc( 50% - 30px );
}

.simpledevel_theme_post_page_title{
  text-align: left;
}

.simpledevel_theme_post_page_thumbnail{
  width: calc( 50% - 10px );
  float: right;
  margin: 0 15px;
}

.simpledevel_theme_post_page_excerpt{
  text-align: left;
}

.simpledevel_theme_main_blog_page_article{
  margin-top: 15px;
  margin-bottom: 15px;
  cursor: pointer;
}

@media (max-width: 800px) {

  .simpledevel_theme_main_blog_page.simpledevel_responsive > *{
    margin: 20px 0 0 0;
    width: 100%;
  }

  .simpledevel_theme_main_blog_page.simpledevel_responsive > *:first-child{
    margin: 0;
  }

  .simpledevel_theme_main_blog_page{
    margin: 20px;
  }

}

@media (max-width: 600px) {

  .simpledevel_theme_post_page_thumbnail {
    width: 100%;
    float: none;
    margin: auto;
    margin-bottom: 20px;
  }

}
